Plesk\backup\Agent\Schema\Backup\Domain\DomainAType\DatabasesAType:
    properties:
        database:
            expose: true
            access_type: public_method
            serialized_name: database
            xml_element:
                cdata: false
            accessor:
                getter: getDatabase
                setter: setDatabase
            xml_list:
                inline: true
                entry_name: database
            type: array<Plesk\backup\Agent\Schema\Backup\Database>
        dbusers:
            expose: true
            access_type: public_method
            serialized_name: dbusers
            xml_element:
                cdata: false
            accessor:
                getter: getDbusers
                setter: setDbusers
            type: array<Plesk\backup\Agent\Schema\Backup\Dbuser>
            xml_list:
                inline: false
                entry_name: dbuser
                skip_when_empty: true
